Hallo, Gast! (Registrieren)

Wir wünschen allen Besuchern frohe Ostern!

Letzte Ankündigung: MyBB 1.8.20 veröffentlicht (27.02.19)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
[NG] Kalender erzeugt Fehlermeldung bei PHP 5.4 - manuelle Abhilfe gesucht
#1
Guten Tag,

die Fehlermeldungen auf der Hauptseite des Forums konnten ja nun behoben sein und werden in Mybb 1.6.10 gefixt sein. Nun habe ich erneut eine Fehlermeldung beim Mybb im Kalender gefunden, die entsteht, wenn man PHP 5.4 nutzt.

Mir ist klar, dass PHP 5.4 nicht offiziell unterstützt wird, aber 1.6.10 kommt irgendwann und solange kann ich nicht warten.

Die Fehlermeldung lautet wie folgt:
siehe Anhang


Angehängte Dateien Thumbnail(s)
   
#2
Vielleicht hilft Dir das hier weiter: http://dev.mybb.com/issues/2012#note-4
viele Grüße
Jockl
übersetzte und eigene Plugins
#3
Das Problem ist, dass ich keinen Zugriff auf die getätigten Änderungen habe und dadurch nicht sehe was ich im Code von Mybb ändern muss.
#4
Zitat:Apparently "weekstart" should be "startofweek"...

Gehe mal in die Datei inc/functions_calender.php und dort in die Zeile 453 (so wie in Deiner Fehlermeldung angezeigt) und ändere die Zeile entsprechend. Evtl. hilft das schon....
viele Grüße
Jockl
übersetzte und eigene Plugins
#5
Die Fehlermeldung bleibt leider, trotz der Änderung, vorhanden und gleich.
#6
Laut der o.a. Bugmeldung sind wohl noch mehr Änderungen notwendig....
viele Grüße
Jockl
übersetzte und eigene Plugins
#7
Ist das dein eigener Server oder ein Shared Host? Bei letzteren hat man manchmal die Möglichkeit über CPanel oder .htaccess die PHP-Version zu wechseln (bei .htaccess sogar je nach Verzeichnis).
#8
Es ist mein eigener Server, aber ich möchte bei PHP 5.4 bleiben, da es die aktuelle Stable-Version ist und alle anderen Seiten damit problemlos gehen. Traurigerweise ist das Mybb das einzige Skript, bei dem ich Probleme mit PHP 5.4 habe. Ich bin der Meinung, dass das Mybb öfters Updates braucht und nicht nur bei neuen Funktionen oder wenn es kritische Sicherheitslücken gibt.
#9
PHP 5.3 ist auch die aktuelle Stable-Version (vorgestern kam 5.3.20 raus), warum sich selber im Weg stehen...

Daß MyBB ein etwas komisches Projekt ist war schon immer so, muß man halt akzeptieren, Bugs kannst du also entweder selber beheben oder aber hier und da einen Kompromiss eingehen.
#10
In meinem Fall stehe ich mir nicht selber im Weg. Ich habe nur leider einige Projekte mit entsprechenden Größen, wodurch ich nur wegen einer solchen Sache nicht die ganze PHP-Version ändern kann. Sei es aus Gründen der Performance oder des Aufwandes.

In wie fern ein komisches Projekt? Gibt es noch mehr Dinge, die ich wissen sollte und mir bis dato unbekannt sind?